Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1233263 - Review Request: mininet - Network emulator for SDN
Summary: Review Request: mininet - Network emulator for SDN
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2015-06-18 14:53 UTC by M S Vishwanath Bhat
Modified: 2016-06-01 01:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-15 03:28:41 UTC


Attachments (Terms of Use)

Description M S Vishwanath Bhat 2015-06-18 14:53:10 UTC
Spec URL: https://fedoraproject.org/w/uploads/2/28/Mininet.spec
SRPM URL: https://fedoraproject.org/w/uploads/b/ba/Mininet-2.2.1-1.src.rpm
Description: Mininet is a network emulator which uses lightweight virtualization to create virtual networks for rapid prototyping of Software-Defined Network (SDN) designs using OpenFlow. http://mininet.org

Fedora Account System Username: msvbhat

Comment 1 Sören Möller 2015-06-24 19:55:01 UTC
I have tried to review the package as a review comment (I have not the permission to do package reviews yet). Note that I only have limited experience with python-packages, so while I tried to closly follow the guidelines for python-package I might have misunderstood part of it.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Dist tag is present.
- Package contains BR: python2-devel or python3-devel
- Package does not contain duplicates in %files.
  Note: warning: File listed twice: /usr/lib/python2.7/site-
  packages/mininet-2.2.1-py2.7.egg-info/PKG-INFO
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#DuplicateFiles
- Package is not relocatable.
  Note: Package has a "Prefix:" tag
  See:
  http://fedoraproject.org/wiki/Packaging/Guidelines#RelocatablePackages
- Spec file name must match the spec package %{name}, in the format
  %{name}.spec.
  Note: Mininet.spec should be mininet.spec
  See:
  http://fedoraproject.org/wiki/Packaging/NamingGuidelines#Spec_file_name
- rpmlint gives a lot of "E: non-executable-script" errors, which indicate wrong permissions on files in the package
- The package puts files in /usr/bin (see https://fedoraproject.org/wiki/Packaging:Python#Executables_in_.2Fusr.2Fbin why this might be a problem)

(see further comments below, inside the list)

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
Only license information is "BSD" found in the "PKG-INFO" file
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[-]: License field in the package spec file matches the actual license.
     Note: There is no build directory. Running licensecheck on vanilla
     upstream sources. No licenses found. Please check the source files for
     licenses manually.
Only license information is "BSD" found in the "PKG-INFO" file
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/lib/python2.7/site-
     packages/mininet/examples, /usr/lib/python2.7/site-packages/mininet
Presumably this package should create these directories
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/lib/python2.7/site-
     packages/mininet, /usr/lib/python2.7/site-packages/mininet/examples
Presumably this package should create these directories
[-]: Package contains no bundled libraries without FPC exception.
[-]: Changelog in prescribed format.
[-]: Sources contain only permissible code or content.
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
No requires, althoug I suppose it requires python (?)
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[?]: Package complies to the Packaging Guidelines
See the issues outlined in this list
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[?]: Binary eggs must be removed in %prep
     Note: Cannot find any build in BUILD directory (--prebuilt option?)
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[!]: Package meets the Packaging Guidelines::Python
The spec-file should call either python3 or python2 (dependent on which is supported) via one of the __python3 / __python2 macros and not python without version specifier

===== SHOULD items =====

Generic:
[!]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
     Note: Found : Vendor: Bob Lantz <rlantz@cs.stanford.edu>
     See: http://fedoraproject.org/wiki/Packaging:Guidelines#Tags
[!]: Buildroot is not present
     Note: Invalid buildroot found:
     %{_tmppath}/%{name}-%{version}-%{release}-buildroot
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[?]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
The license is not included, so you could suggest to upstream adding it
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
No license text file
[!]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
- The spec does not contain a source url in the SourceX: tags (see https://fedoraproject.org/wiki/Packaging:SourceURL) and no more precise link (in description/comments than the project webpage)
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
Marked noarch and python-only, so I think is is fine, but I only testet x86_64
[-]: %check is present and all tests pass.
No %check
[x]: Packages should try to preserve timestamps of original installed
     files.
Timestamps seem to be preserved wrt. upstream tar
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: %define name mininet, %define
     version 2.2.1, %define unmangled_version 2.2.1, %define
     unmangled_version 2.2.1, %define release 1
[x]: Reviewer should test that the package builds in mock.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Bad spec filename: /home/scren/review/1233263-Mininet/srpm-
     unpacked/mininet.spec
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: mininet-2.2.1-1.noarch.rpm
          mininet-2.2.1-1.src.rpm
mininet.noarch: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
mininet.noarch: E: no-changelogname-tag
mininet.noarch: W: no-url-tag
mininet.noarch: W: no-documentation
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/multipoll.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/popenpoll.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/clusterdemo.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/clustercli.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/topo.py 0644L /usr/bin/env
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/popen.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/scratchnet.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/multilink.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/multitest.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/cpu.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/intfoptions.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/tree1024.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/simpleperf.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/numberedports.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/miniedit.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/controllers2.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/hwintf.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/sshd.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/nat.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/scratchnetuser.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/consoles.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/cluster.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/mobility.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/controlnet.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/treeping64.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/controllers.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/multiping.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/vlanhost.py 0644L /usr/bin/env
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/natnet.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/emptynet.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/linuxrouter.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/baresshd.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/bind.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/limit.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/clusterSanity.py 0644L /usr/bin/env
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/linearbandwidth.py 0644L /usr/bin/python
mininet.noarch: W: no-manual-page-for-binary mn
mininet.src: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
mininet.src: E: no-changelogname-tag
mininet.src: W: no-url-tag
mininet.src:28: W: setup-not-quiet
mininet.src: W: invalid-url Source0: mininet-2.2.1.tar.gz
2 packages and 0 specfiles checked; 38 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
mininet.noarch: W: spelling-error %description -l en_US virtualization -> visualization, actualization, vitalization
mininet.noarch: E: no-changelogname-tag
mininet.noarch: W: no-url-tag
mininet.noarch: W: no-documentation
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/multipoll.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/popenpoll.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/clusterdemo.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/clustercli.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/topo.py 0644L /usr/bin/env
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/popen.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/scratchnet.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/multilink.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/multitest.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/cpu.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/intfoptions.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/tree1024.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/simpleperf.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/numberedports.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/miniedit.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/controllers2.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/hwintf.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/sshd.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/nat.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/scratchnetuser.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/consoles.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/cluster.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/mobility.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/controlnet.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/treeping64.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/controllers.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/multiping.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/vlanhost.py 0644L /usr/bin/env
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/natnet.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/emptynet.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/linuxrouter.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/baresshd.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/bind.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/limit.py 0644L /usr/bin/python
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/clusterSanity.py 0644L /usr/bin/env
mininet.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/mininet/examples/linearbandwidth.py 0644L /usr/bin/python
mininet.noarch: W: no-manual-page-for-binary mn
1 packages and 0 specfiles checked; 37 errors, 4 warnings.



Requires
--------
mininet (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)



Provides
--------
mininet:
    mininet



Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1233263
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 M S Vishwanath Bhat 2015-06-25 11:59:39 UTC
Thanks Soren, I will fix them up and update again here. Thanks again.

Comment 3 Parag AN(पराग) 2015-08-22 07:06:06 UTC
Hi,
   We have this process http://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group to get sponsored into the packager group. Can you either submit few more packages and/or some full detailed package reviews? This is needed to make sure package submitter understands the rpm packaging well and follows the fedora packaging guidelines.

Please go through the following links
1) http://fedoraproject.org/wiki/Package_Review_Process

2) https://fedoraproject.org/wiki/PackagingGuidelines

3) To find the packages already submitted for review, check http://fedoraproject.org/PackageReviewStatus/

4) http://fedoraproject.org/wiki/Packaging:ReviewGuidelines and http://fedoraproject.org/wiki/Package_Review_Process#Reviewer is useful while doing package reviews.

5) https://fedorahosted.org/FedoraReview/ this is fedora-review tool to help review packages in fedora. You need to use this and do un-official package reviews of packages submitted by other contributors. While doing so mention "This is un-official review of the package." at top of your review comment.

Good to review packages listed in http://fedoraproject.org/PackageReviewStatus/NEW.html

When you do full package review of some packages, provide that review comment link here so that I can look how you have reviewed those packages.

If you got any questions please ask :)

Comment 4 Parag AN(पराग) 2015-12-15 03:28:41 UTC
Based on no response from submitter since my last comment, I am going to close this review now. Feel free to reopen this and we can continue.


Note You need to log in before you can comment on or make changes to this bug.